Subject: [Disman] Fw: disman-alarm MIB

From: "Randy Presuhn" <[email-masked]>
Date: Thu, 8 Jan 2004 20:10:44 -0800

Hi -

I'm forwarding part of an off-list discussion with the AD and editors of the
Alarm MIB.  The problem is that the registry procedures need to be clarified.
Any constructive proposal would be appreciated.  Follwing the extract of
the discussion is my attempt at a clarification.

> > > Another issue that came up today (From IANA) is that it
> > > is not clear to them how they assign new values:
> > >
> > >    IANAItuProbableCause ::= TEXTUAL-CONVENTION
> > >        STATUS current
> > >        DESCRIPTION
> > >            "ITU probable cause values. Duplicate values defined in X.733
> > >            are appended with X733 to ensure uniqueness. Probable cause
> > >            value 0 is reserved for special purposes.
> > >
> > >            The Internet Assigned Number Authority (IANA) is responsible
> > >            for the assignment of all Internet numbers, including
> > >            various SNMP-related numbers, and specifically, new
> > >            IANAItuProbableCause values. Values of
> > >            IANAItuProbableCause less than 1024 are reserved for causes
> > >            that correspond to ITU probable cause. IANAItuProbableCause
> > >            of 0 is reserved for special purposes and therefore cannot
> > >            be assigned. See http://www.iana.org"
> > >
> > > To me it sounds that ITU defines new values, and then when they ask
> > > IANA, then IANA will add them. Is that how we envision this?
> > > Should we mention ITU-SG 4 as the one to ask for such values?
> >
> > I believe the idea is that when new values are defined by the ITU community,
> > someone who cares (we don't care who) will request the addition to the
> > IANA-maintained TC.  It is expected that the overwhelming majority of
> > such requests will have ITU values less than 1024, and that, consequently,
> > it will be possible to use the same value, even though, strictly speaking,
> > doing so is not technically necessary.
> >
> > > Can we add some text w.r.t. the FCFS assignments as to why we do
> > > not worry about possible overlap and that this is OK?
> >
> > I believe the idea is that requests that don't correspond to ITU assignments
> > are to be handled FCFS, and in no case will such a non-ITU value be
> > given an assignment less than 1024.
> >
> When you read your own answers above... does that not make it clear
> to you that IANA will have a hard time to decide how to handle a
> request for a new enumeration when they get one.
> So can we propose clarifying text that will let IANA do the proper
> thing without having to ask some IESG member?
>
>
> > > In otehr words, are we sure nobody can screw us up one way or
> > > another. We have had some bad expericence with large FCFS spaces
> > > in the recent past. That is why  it comes up.
> >
> > That is why I personally preferred "specification required",
> > but there was no WG support for adding that requirement.
> >
> Do you want to check with WG if they want to change their mind
> now that IESG member bring it up too?
>
> > > The above is a DISCUSS that we want fixed. Maybe by RFC-Ed note.
> >
> > That would be ok with me.
> >
> But I need proposed text please! Potentially to be checked by
> WG as well, depending on what it is gonna say, Probably best
> to post to WG and give them a day or two to react.
...

Proposed clarification:

The Internet Assigned Number Authority (IANA) is responsible
for the assignment of new IANAItuProbableCause values. The
value 0 is reserved for special purposes and MUST NOT be
assigned.  Values in the range 1 to 1023 are reserved for values
assigned by the ITU for probable cause values in that same range.
All other requests for values will be handled on a first-come, first served
basis, starting with 1024.  See http://www.iana.org

Randy

---

From: Robert Moore <[email-masked]>
Date: Fri, 9 Jan 2004 08:26:57 -0500

Randy,

Obviously, I haven't been following these discussions closely.  But to 
make sure everybody's on the same page, the text should say clearly which 
of the following types of requests IANA is supposed to honor for the FCFS 
range:

(a) "I need *a* probable cause code point for METEOR STRIKE."
(b) "I need you to assign code point x2000 to the probable cause METEOR 
STRIKE."

When you say "All other requests for values ...," it's not clear whether 
requesting a value means (a), (b), or both.

Regards,
Bob

Bob Moore
WebSphere Advanced Design and Technology
WebSphere Platform System House
IBM Software Group
+1-919-254-4436
[email-masked]

---

From: Robert Moore <[email-masked]>
Date: Fri, 9 Jan 2004 08:26:57 -0500

Randy,

Regards,
Bob

Bob Moore

---

From: "Randy Presuhn" <[email-masked]>
Date: Fri, 9 Jan 2004 11:37:25 -0800

Hi -

> From: "Robert Moore" <[email-masked]>
> To: "Randy Presuhn" <[email-masked]>
> Cc: "Disman (E-mail)" <[email-masked]>; <[email-masked]>
> Sent: Friday, January 09, 2004 5:26 AM
> Subject: Re: [Disman] Fw: disman-alarm MIB
...
> (a) "I need *a* probable cause code point for METEOR STRIKE."

Of course.

> (b) "I need you to assign code point x2000 to the probable cause METEOR

I do not believe this was intended.  The only reason for
reserving a particular range of values for the ITU was
convenience.

...

What I meant in my proposed clarification was that any request for
a value, which did not correspond to an ITU-assigned value less
than 1024, would be given an FCFS assignment, starting with 1024
and working up.  So, if ITU goes beyond 1023, the TC value and
the corresponding ITU value will likely be different.

Clear as mud?

Randy

---

From: "Randy Presuhn" <[email-masked]>
Date: Fri, 9 Jan 2004 11:37:25 -0800

Hi -

...

Of course.

...

Clear as mud?

Randy